<?php

/*
 * This file is part of Monsieur Biz' Search plugin for Sylius.
 *
 * (c) Monsieur Biz <sylius@monsieurbiz.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

declare(strict_types=1);

namespace MonsieurBiz\SyliusSearchPlugin\Adapter;

use MonsieurBiz\SyliusSearchPlugin\Model\Document\ResultSetInterface;
use Pagerfanta\Adapter\AdapterInterface;

class ResultSetAdapter implements AdapterInterface
{
    private ResultSetInterface $resultSet;

    /**
     * Constructor.
     */
    public function __construct(ResultSetInterface $resultSet)
    {
        $this->resultSet = $resultSet;
    }

    /**
     * @inheritdoc
     */
    public function getNbResults(): int
    {
        return $this->resultSet->getTotalHits();
    }

    /**
     * @inheritdoc
     */
    public function getSlice($offset, $length): iterable
    {
        return \array_slice($this->resultSet->getResults(), $offset, $length);
    }
}
