<?php

/*
 * This file is part of Monsieur Biz' Search plugin for Sylius.
 *
 * (c) Monsieur Biz <sylius@monsieurbiz.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

declare(strict_types=1);

namespace MonsieurBiz\SyliusSearchPlugin\Model\Document;

class FilterValue implements FilterValueInterface
{
    private string $slug;

    private string $label;

    private int $count;

    /**
     * Filter constructor.
     */
    public function __construct(string $label, string $slug, int $count)
    {
        $this->slug = $slug;
        $this->label = $label;
        $this->count = $count;
    }

    public function getSlug(): string
    {
        return $this->slug;
    }

    public function getLabel(): string
    {
        return $this->label;
    }

    public function getCount(): int
    {
        return $this->count;
    }
}
