<?php

declare(strict_types=1);

namespace MonsieurBiz\SyliusSearchPlugin\Twig\Extension;

use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class FilterAppliedManually extends AbstractExtension
{
    private array $gridConfig;

    public function __construct(array $gridConfig)
    {
        $this->gridConfig = $gridConfig;
    }

    public function getFunctions(): iterable
    {
        return [
            new TwigFunction('monsieurbiz_search_filter_applied_manually', [$this, 'areFiltersAppliedManually']),
        ];
    }

    public function areFiltersAppliedManually(): bool
    {
        return $this->gridConfig['filters']['apply_manually'] ?? false;
    }
}
